import React, { Component } from 'react';
import PropTypes from 'prop-types';

class Accordion extends Component {
  static defaultProps = {
  }

  constructor(props) {
    super(props);
    this.state = {
      showContent: false,
      headerOpacity: 1
    };
    this.handleClick = this.handleClick.bind(this);
  }

  handleClick(e) {
    this.setState({
      showContent: !this.state.showContent,
      headerOpacity: this.state.showContent ? 1 : 0.4
    });
  }

  render() {
    const { children, header } = this.props;
    const content = this.state.showContent ? children : <div />;
    return (
      <div>
        <div onClick={this.handleClick}>
          <div style={{
            opacity: this.state.headerOpacity,
            transition: 'opacity .3s'
          }}
          >
            {header}
          </div>
        </div>
        {content}
      </div>
    );
  }
}

Accordion.propTypes = {
  children: PropTypes.object,
  header: PropTypes.object
};

export default Accordion;
