import React from 'react';
import { Button, ActionSheet } from '@huawei/react-weui';
import Page from '../../component/page';

export default class ActionSheetDemo extends React.Component {

  state = {
    iosShow: false,
    androidShow: false,
    menus: [{
      label: 'Option 1',
      onClick: () => { }
    }, {
      label: 'Option 2',
      onClick: () => { }
    }],
    actions: [
      {
        label: 'Cancel',
        onClick: this.hide.bind(this)
      }
    ]
  };

  hide() {
    this.setState({
      autoShow: false,
      iosShow: false,
      androidShow: false
    });
  }

  render() {
    return (
      <Page className="actionsheet" title="ActionSheet" subTitle="弹出式菜单" spacing>
        <Button type="default" onClick={e => this.setState({ iosShow: true })}>IOS ActionSheet</Button>
        <ActionSheet
          menus={this.state.menus}
          actions={this.state.actions}
          show={this.state.iosShow}
          type="ios"
          onRequestClose={e => this.setState({ iosShow: false })}
        />

        <br />

        <Button type="default" onClick={e => this.setState({ androidShow: true })}>Android ActionSheet</Button>
        <ActionSheet
          menus={this.state.menus}
          actions={this.state.actions}
          show={this.state.androidShow}
          type="android"
          onRequestClose={e => this.setState({ androidShow: false })}
        />
      </Page>
    );
  }
};
